Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface TypedArray

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type

    public interface TypedArray

extends Type

A representation of the model object 'Typed Array'. Array tipato. Può essere un array di tipi semplici (CSIDatatype) o di tipi user defined (Entity). Normalmente gli array di tipi semplici sono forniti in un file da includere come risorsa e referenziare negli altri modelli che ne hanno bisogno, mentre gli array di tipi user defined devono essere definiti localmente alla definizione del singolo servizio.

The following features are supported:

- `Component Type`

See Also:
  `TypedefPackage.getTypedArray()`

Method Summary
`Type` | `getComponentType()` Returns the value of the 'Component Type' reference
`void` | `setComponentType(Type value)` Sets the value of the '`Component Type`' reference

Methods inherited from interface it.csi.mddtools.typedef.Type
`getAnnotations, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getComponentType

    Type getComponentType()

  Returns the value of the 'Component Type' reference.

  If the meaning of the 'Component Type' reference isn't clear, there really should be more of a description here...

  indica il tipo degli elementi dell'array

  Returns:
    the value of the 'Component Type' reference.
  See Also:
    `setComponentType(Type)`, `TypedefPackage.getTypedArray_ComponentType()`

### setComponentType

    void setComponentType(Type value)

  Sets the value of the '`Component Type`' reference.

  Parameters:
    `value` - the new value of the 'Component Type' reference.
  See Also:
    `getComponentType()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD